Package org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label

# Class NoDifferencesCompareInput.NoDifferencesTypedElement

java.lang.Object
com.google.common.collect.ForwardingObject
org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput.ForwardingTypedElement
org.eclipse.emf.compare.ide.ui.internal.contentmergeviewer.label.NoDifferencesCompareInput.NoDifferencesTypedElement

All Implemented Interfaces:
  `org.eclipse.compare.ITypedElement`

Enclosing class:
  `NoDifferencesCompareInput`

public class NoDifferencesCompareInput.NoDifferencesTypedElement extends ForwardingCompareInput.ForwardingTypedElement
A specific `ITypedElement` to use with `NoDifferencesCompareInput`.

## Field Summary

### Fields inherited from interface org.eclipse.compare.ITypedElement

`FOLDER_TYPE, TEXT_TYPE, UNKNOWN_TYPE`

## Method Summary

Modifier and Type
Method
Description
`String`
`getType()`

### Methods inherited from class org.eclipse.emf.compare.ide.ui.internal.structuremergeviewer.ForwardingCompareInput.ForwardingTypedElement

`delegate, getImage, getName`

### Methods inherited from class com.google.common.collect.ForwardingObject

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Method Details

### getType

public String getType()

Specified by:
  `getType` in interface `org.eclipse.compare.ITypedElement`
Overrides:
  `getType` in class `ForwardingCompareInput.ForwardingTypedElement`
See Also:
  - `ITypedElement.getType()`